=== debian/control ===
Source: dtkdeclarative
Section: libs
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 9),
 qtdeclarative5-dev,
 qtbase5-dev-tools,
 qtquickcontrols2-5-dev,
 libdtkgui-dev,
 libdtkcore-dev,
 qtdeclarative5-private-dev,
 qtbase5-private-dev,
 pkg-kde-tools,
 libgtest-dev
Standards-Version: 3.9.8
Homepage: http://www.deepin.org

Package: qml-module-qtquick-controls2-styles-chameleon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qml-module-qtquick-shapes (>= 5.11.3),
 libdtkdeclarative5( =${binary:Version})
Description: Deepin Tool Kit Qt Quick Controls 2 QML module
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.

Package: libdtkdeclarative5
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Deepin Tool Kit Gui library
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.
 .
 This package contains the shared libraries.

Package: libdtkdeclarative-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdtkdeclarative5( =${binary:Version})
Description: Deepin Tool Kit Gui Devel library
 Dtkdeclarative is base library of Deepin Qt/QtQuick applications.
 .
 This package contains the header files and shared libraries of DtkDeclarative
 
Package: dtk-exhibition
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libdtkdeclarative5( =${binary:Version}),
 qml-module-qtquick-controls2-styles-chameleon( =${binary:Version})
Description: Deepin Tool Kit QML Controls example.
 .
 This package contains a applicatioin.
