=== debian/changelog ===
dtkdeclarative (5.6.32) unstable; urgency=medium

  * fix: DCiicon has aliasing when using base64 data(Issue: https://github.com/linuxdeepin/developer-center/issues/8941)
  * fix: Menu is not blurry enough, and the arrow position is incorrect(Issue: https://github.com/linuxdeepin/developer-center/issues/8631)
  * fix: the ItemViewport's corners is not smooth

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 08 Jul 2024 02:29:21 +0000

dtkdeclarative (5.6.31) unstable; urgency=medium

  * fix: modify the SearchEdit style(Issue: https://github.com/linuxdeepin/developer-center/issues/8697)
  * fix: width of insideboxborder(Issue: https://github.com/linuxdeepin/developer-center/issues/8530)
  * fix: added blurMultiplier adjustment(Issue: https://github.com/linuxdeepin/developer-center/issues/9374)
  * chore: invalid icon use application-x-desktop

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 27 Jun 2024 09:11:34 +0000

dtkdeclarative (5.6.30) unstable; urgency=medium

  * fix: assert when radius is 0 in transparent window(Issue: https://github.com/linuxdeepin/developer-center/issues/8668)
  * fix: incomplete display for menu(Issue: https://github.com/linuxdeepin/developer-center/issues/8472)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 30 May 2024 02:46:31 +0000

dtkdeclarative (5.6.29) unstable; urgency=medium

  * fix: can't display local file for DciIcon

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 13 May 2024 03:02:53 +0000

dtkdeclarative (5.6.28) unstable; urgency=medium

  * chore: incorrect font for SearchEdit's indicator text(Issue: https://github.com/linuxdeepin/developer-center/issues/8040)
  * chore: Adjusting the transparency of the scrollbar
    Thanks to zhangkun(Issue: https://github.com/linuxdeepin/developer-center/issues/8049)
  * fix: icon blurry when half aligned
  * chore: add margins for Popup with window's edges
  * fix: lost user settings when Handler is equal user settings(Issue: https://github.com/linuxdeepin/developer-center/issues/7647)
  * feat: support to disable shadow for FloatingPanel
  * fix: crash at DQuickItemViewport::updatePaintNode
  * fix: set shadowOffset when using DWindow
  * feat: add "blurEnabled" property to BehindWindowBlur
  * fix: remove debug code
  * fix: QSGRenderNode::matrix is error if the item in BackdropBlitter
  * fix: search icon not visible(Issue: https://github.com/linuxdeepin/developer-center/issues/8306)
  * fix: mask area exist two line for viewport(Issue: https://github.com/linuxdeepin/developer-center/issues/8313)
  * feat: add "compositionMode" property in ItemViewport
  * fix: inconsistent implicit size in dci icon

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 29 Apr 2024 08:23:45 +0000

dtkdeclarative (5.6.27) unstable; urgency=medium

  * chore: settings dialog navigation font size tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7086)
  * fix: incorrect color type
  * fix: incorrect color type(Issue: https://github.com/linuxdeepin/developer-center/issues/6841)
  * chore: update entry_clear.dci(Influence: )
  * fix: incorrect control for ColorSelector
  * refact: export asynchronous property to user
  * chore: scrollbar hover color tweak(Issue: https://github.com/linuxdeepin/developer-center/issues/7784)
  * fix: support qt 6.7
  * fix: typo and uninitialized asynchronous property
  * fix: incorrect text color for MenuItem
  * fix: adjust style for HighlightPanel
  * fix: can't set placeholder text color for SearchEdit
  * fix: incorrect control themetype for ColorSelector(issue: 7952)
  * fix: build on Qt 6.7
  * feat: add BackdropBlitter on Qt6
  * feat: use BackdropBlitter for InWindowBlur on Qt6
  * chore: change theme type for exhibition
  * feat: export cache property to user
  * fix: not initialized for BehindWindowBlur
  * fix: duplicate updates of palette(Issue: https://github.com/linuxdeepin/developer-center/issues/7826)
  * fix: dci icon not centered(Issue: https://github.com/linuxdeepin/developer-center/issues/7941)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 19 Apr 2024 08:55:37 +0000

dtkdeclarative (5.6.26) unstable; urgency=medium

  * feat: add corners for BoxShadow
  * fix: warning for insideBorderColor is invalid
  * fix: missing initialization value for ShadowConfig
  * fix: MenuItem can't be highlight by keyboard
  * fix: incorrect palette in ColorSelector
  * chore: keep consistent highlight color in different themes
  * feat: support to specify theme type for window

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 26 Mar 2024 05:47:35 +0000

dtkdeclarative (5.6.25) unstable; urgency=medium

  * fix: can't disable paste(Issue: https://github.com/linuxdeepin/developer-center/issues/7052)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 11 Mar 2024 01:16:26 +0000

dtkdeclarative (5.6.24) unstable; urgency=medium

  * fix: icon doesn't change when iconTheme changed
  * feat: support base64 format for icons
  * fix: build on qt5
  * fix: adjust style for launchpad used
  * fix: adjust style for launchpad used

 -- YeShanShan <yeshanshan@deepin.org>  Wed, 31 Jan 2024 18:54:10 +0800

dtkdeclarative (5.6.23) unstable; urgency=medium

  * feat: support to override for external caller
  * feat: close popup or menu on window deactivate
  * feat: Optimize flags of RenderNode
  * fix: failure passing implicit width
  * chore: enable blur for DialogTitleBar
  * fix: Multi options selected for Combobox(Issue: https://github.com/linuxdeepin/developer-center/issues/6187)
  * Revert "fix: failure passing implicit width"
  * chore: TypeError warning
  * chore: TypeError warning

 -- YeShanShan <yeshanshan@deepin.org>  Fri, 19 Jan 2024 14:18:56 +0800

dtkdeclarative (5.6.22) unstable; urgency=medium

  * fix: no translations for context menu(Issue: https://github.com/linuxdeepin/developer-center/issues/6712)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 10 Jan 2024 02:30:59 +0000


