## dtkdeclarative 5.7.5

=== debian/changelog ===
dtkdeclarative (5.7.5) unstable; urgency=medium

  * chore: typo for QT_VERSION
  * fix: StyledBehindWindowBlur blur failure
  * fix: ItemDelegate/Checkdelegate hover background missing
  * feat: Export the alignment property of Combobox

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 12 Dec 2024 03:03:54 +0000

dtkdeclarative (5.7.4) unstable; urgency=medium

  * fix: memory leak
  * fix: combobox highlight missing
  * fix: combobox does not display content
  * fix: Boxshadow displays abnormally in fractional scaling scenarios
  * fix(build): chameleon version 1.0

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 03 Dec 2024 02:00:46 +0000

dtkdeclarative (5.7.3) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 20 Nov 2024 02:19:06 +0000

dtkdeclarative (5.7.2) unstable; urgency=medium

  * fix: StyledBehindWindowBlur crash in render thread
  * fix: Adjust menu styles

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 13 Nov 2024 01:53:26 +0000

dtkdeclarative (5.7.1) unstable; urgency=medium

  * feat: Use normal wrap mode instead of WordWrap for ToolTip.Text(Bug: 271423)
  * fix: the default icon is displayed incorrectly when zooming(Bug: 277471)
  * fix: shaders conflicting in qt6

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 16 Oct 2024 03:30:45 +0000

dtkdeclarative (5.0.35) unstable; urgency=medium

  * release 5.0.35

 -- Mike Chen <chenke@deepin.org>  Mon, 23 Sep 2024 11:14:20 +0800

dtkdeclarative (5.6.34) unstable; urgency=medium

  * feat: support to change window effects(Issue: https://github.com/linuxdeepin/developer-center/issues/10322)
  * fix: can't move dialog window(Issue: #190)

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 Aug 2024 05:03:51 +0000
