## dtkdeclarative 5.7.12

=== chameleon/CMakeLists.txt ===
--- 
+++ 
@@ -24,6 +24,7 @@
     Frame.qml
     GroupBox.qml
     ItemDelegate.qml
+    ListView.qml
     MenuItem.qml
     Menu.qml
     MenuSeparator.qml
@@ -100,7 +101,7 @@
 if(EnableQt6)
     qt_add_qml_module(${PLUGIN_NAME}
         URI "Chameleon"
-        VERSION "${PROJECT_VERSION}"
+        VERSION "1.0"
         CLASS_NAME QtQuickControls2ChameleonStylePlugin
         PLUGIN_TARGET ${PLUGIN_NAME}
         OUTPUT_DIRECTORY
