=== qt6/src/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,7 @@
 qt_add_translations(${LIB_NAME}
     TS_FILES ${TS_FILES}
     QM_FILES_OUTPUT_VARIABLE QM_FILES
+    IMMEDIATE_CALL
 )
 
 set_target_properties(${LIB_NAME} PROPERTIES
@@ -47,7 +48,7 @@
 )
 target_sources(${LIB_NAME} PRIVATE ${RESOURCES})
 
-qt_add_shaders(${LIB_NAME} "_shaders_ng"
+qt_add_shaders(${LIB_NAME} "_dtkdeclarative_shaders_ng"
     BATCHABLE
     PRECOMPILE
     PREFIX
