=== debian/changelog ===
dtkdeclarative (5.7.12-1build1) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Tue, 15 Jul 2025 13:03:48 +0300

dtkdeclarative (5.7.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sun, 16 Mar 2025 15:30:32 -0400

dtkdeclarative (5.7.9-1) unstable; urgency=medium

  * Initial release. (Closes: #1095901)

 -- Boyuan Yang <byang@debian.org>  Thu, 13 Feb 2025 09:06:22 -0500
