=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%dtkdeclarative-$1.tar.gz%" \
 https://github.com/linuxdeepin/dtkdeclarative/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate
