=== debian/changelog ===
dtkdeclarative (5.7.14) unstable; urgency=medium

  * fix: incorrect padding for MenuItem
  * fix: ScrollBar don't display when size is less
  * fix: refresh Delegate Model Slowly

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 17 Apr 2025 21:52:19 +0800

dtkdeclarative (5.7.13) unstable; urgency=medium

  * fix: wrong z order of render buffer blitter

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 20 Mar 2025 17:06:59 +0800

dtkdeclarative (5.7.12) unstable; urgency=medium

  * feat: using DConfig in the non-GUI thread
  * fix: missing FocusBorder for WindowButton in TitleBar
  * feat: Add files generated by qdbusXML2cpp and DCONG2cpp
  * fix: Popup background does not follow the theme changes
  * fix: StyledBehindWindowBlur crash in render thread

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 06 Mar 2025 17:30:28 +0800

dtkdeclarative (5.7.11) unstable; urgency=medium

  * fix: double click doesn't work for TitleBar
  * chore: replacing a way to get listview's item
  * fix: delayed color updates for MenuItem
  * fix: incorrect width for Menu
  * feat: export DSysInfo for QML
  * fit: Add focus style
  * fix: MinimizeButton behavior mismatch with qwidget

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 27 Feb 2025 20:48:40 +0800

dtkdeclarative (5.7.10) unstable; urgency=medium

  * fix: incorrect height for Menu when height is large

 -- YeShanShan <yeshanshan@uniontech.com>  Thu, 13 Feb 2025 17:19:23 +0800

dtkdeclarative (5.7.9) unstable; urgency=medium

  [ root ]
  * UNRELEASED

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 23 Jan 2025 09:07:08 +0000

dtkdeclarative (5.7.8) unstable; urgency=medium

  * fix: Menu's focus not be clean
  * chore: drop shadow for BoxPanel temporarily

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 14 Jan 2025 11:17:32 +0000

dtkdeclarative (5.7.7) unstable; urgency=medium

  * fix: incorrect registering way for qt6
  * fix: incorrect Highlight for Menu
  * fix: item_checked icon was clipped

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 09 Jan 2025 09:28:39 +0000

dtkdeclarative (5.7.6) unstable; urgency=medium

  * fix: arrowlistview not clip
  * fix: lineedit rightpadding to small
  * fix: image cache cleared
    Thanks to Yixue Wang
  * chore: remove version of imported uri for qt6
  * fix: access nullptr when app exited
  * fix: itemdelegate icon flashed
  * fix: incorrect scaling of icons under Treeland
  * fix: adjust UI for MenuItem
  * fix: adjust UI for Menu and ComboBox
  * feat: support to flow system settings for scrollBarPolicy

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 02 Jan 2025 06:46:45 +0000
