## dtkdeclarative 5.7.19

=== chameleon/CMakeLists.txt ===
--- 
+++ 
@@ -35,6 +35,7 @@
     RadioButton.qml
     RoundButton.qml
     ScrollBar.qml
+    ScrollView.qml
     ScrollIndicator.qml
     Slider.qml
     SpinBox.qml
